# View the contents of a file in the repository.
[Client working copy management]

## Functions
svn_error_t * | svn_client_cat2 (svn_stream_t *out, const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *revision, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Output the content of a file.
svn_error_t * | svn_client_cat (svn_stream_t *out, const char *path_or_url, const svn_opt_revision_t *revision, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_cat2() except that the peg revision is always the same as revision.

## Function Documentation

svn_error_t* svn_client_cat | ( | svn_stream_t * | out,
|  | const char * | path_or_url,
|  | const svn_opt_revision_t * | revision,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_cat2() except that the peg revision is always the same as revision.

Deprecated:
  Provided for backward compatibility with the 1.1 API.

svn_error_t* svn_client_cat2 | ( | svn_stream_t * | out,
|  | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | revision,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Output the content of a file.

Parameters:

  `[in]` | out | The stream to which the content will be written.
  `[in]` | path_or_url | The path or URL of the file.
  `[in]` | peg_revision | The peg revision.
  `[in]` | revision | The operative revision.
  `[in]` | ctx | The standard client context, used for possible authentication.
  `[in]` | pool | Used for any temporary allocation.

Todo:
  Add an expansion/translation flag?

Returns:
  A pointer to an svn_error_t of the type (this list is not exhaustive):
  An unspecified error if revision is of kind svn_opt_revision_previous (or some other kind that requires a local path), because the desired revision cannot be determined.
  If no error occurred, return SVN_NO_ERROR.

Since:
  New in 1.2.

See also:
  svn_client_ctx_t
  Revisions and Peg Revisions for a discussion of operative and peg revisions.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines